summaryrefslogtreecommitdiff
path: root/utils/docker/script.sh
diff options
context:
space:
mode:
authorchristianchiarulli <[email protected]>2021-08-11 16:33:41 -0400
committerchristianchiarulli <[email protected]>2021-08-11 16:33:41 -0400
commit83013c0d4f1467f546c38719c61909decfcb8151 (patch)
tree143773ea73c64d953db699e6e621926e44653fc2 /utils/docker/script.sh
parentf6407e0bdb9c2875bc8f186929ce183af391b2a9 (diff)
parent5a7630cac761e91335d2f25cb07a81271569c791 (diff)
Merge branch 'rolling' of github.com:ChristianChiarulli/LunarVim
Diffstat (limited to 'utils/docker/script.sh')
-rwxr-xr-xutils/docker/script.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/utils/docker/script.sh b/utils/docker/script.sh
new file mode 100755
index 00000000..35257147
--- /dev/null
+++ b/utils/docker/script.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Updating the package list
+apt-get update
+
+# Installing dependencies
+apt-get -y install tzdata sudo git nodejs npm git ripgrep fzf ranger curl fonts-hack-ttf
+
+pip3 install ueberzug neovim-remote
+npm install tree-sitter-cli neovim
+
+# Installing Neovim
+mkdir -p /tmp/neovim
+cd /tmp/neovim || exit
+curl -L -o nvim.appimage https://github.com/neovim/neovim/releases/download/nightly/nvim.appimage
+chmod u+x nvim.appimage
+./nvim.appimage --appimage-extract
+mv squashfs-root /usr/local/neovim
+ln -s /usr/local/neovim/usr/bin/nvim /usr/bin/nvim
+rm ./nvim.appimage
+
+# Installing LunarVim
+LVBRANCH=master bash <(curl -s https://raw.githubusercontent.com/lunarvim/lunarvim/rolling/utils/installer/install.sh)